buffer_getline(3)

NAME
buffer_getline - read line from buffer

SYNTAX
#include <libowfat/buffer.h> ssize_t buffer_getline(buffer* b,char* x,size_t len);

DESCRIPTION
buffer_getline copies data from b to x[0], x[1], ..., x[len-1] until len bytes have been copied or a new-line character ('\n') is encountered. That character is also copied. Note that line is not 0-terminated to make reading lines with 0-bytes possible through this interface.

RETURN VALUE
Number of bytes read (without '\n'), -1 on error (setting errno).

SEE ALSO
buffer_init(3), buffer_feed(3), buffer_peek(3), buffer_seek(3), buffer(3)